Create Unit Amenity: Rent Manager
POST
https://api.propexo.com/v1/amenities/rentmanager/units/| Method |
|---|
| POST /Units/{unitId}/UnitAmenities |
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
unit_idstringrequired
The Propexo unique identifier for the unit
namestringrequired
The name associated with the amenity
Possible values: Value must match regular expression ^[a-zA-Z0-9\s]+$
descriptionstring
Description of the amenity
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
unit_idstringrequired
The Propexo unique identifier for the unit
namestringrequired
The name associated with the amenity
Possible values: Value must match regular expression ^[a-zA-Z0-9\s]+$
descriptionstring | nullnullablerequired
Description of the amenity
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/amenities/rentmanager/units/
curl -X POST https://api.propexo.com/v1/amenities/rentmanager/units/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"unit_id": "string",
"name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"unit_id": "string",
"name": "string",
"description": "string"
}
}